explain_putchar_or_die(3)

NAME
explain_putchar_or_die - output of characters and report errors

SYNOPSIS
#include <libexplain/putchar.h>

void explain_putchar_or_die(int c);

DESCRIPTION
The explain_putchar_or_die function is used to call the putchar(3) system call. On failure an explanation will be printed to stderr, obtained from explain_putchar(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_putchar_or_die(c);

c   The c, exactly as to be passed to the putchar(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

putchar(3)
    output of characters

explain_putchar(3)
    explain putchar(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 0.46
Copyright (C) 2008 Peter Miller